﻿<div id="lookup-cus" class="modal fade" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                Select Customer
            </div>
            <div class="modal-body">
                <table id="table-lookup-cus" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupcus = {
                dt: null,
                init: function () {
                    dt = $("#table-lookup-cus").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get", "Customers")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'CustomerID', render: function () {
                                    return '<a href="javascript:" onclick="selectCus(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'Customer ID', data: 'CustomerID' },
                            { title: 'Company Name', data: 'CompanyName' },
                            { title: 'Contact Name', data: 'ContactName' },
                            { title: 'Contact Title', data: 'ContactTitle' },
                            { title: 'City', data: 'City' },
                            { title: 'Country', data: 'Country' }
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });

                },
                refresh: function () {
                    dt.ajax.reload();
                }
    };

    lookupcus.init();

    function lookupCustomer() {
        $("#lookup-cus").modal();
    }

    function selectCus(e) {
        var tr = $(e).parent().parent();
        $("#Order_CustomerID").val(tr.children("td:eq(1)").text());
        $("#Customer_CompanyName").val(tr.children("td:eq(2)").text());
        $("#lookup-cus").modal('hide');
    }
</script>


